Subject: Re: [PATCH net-next] bnx2x: Disable LRO on FCoE or iSCSI boot device

From: Rick Jones <[email-masked]>
Date: Fri, 14 Oct 2011 08:31:56 -0700

On 10/13/2011 08:38 PM, Michael Chan wrote:
> From: Dmitry Kravkov<[email-masked]>
>
> For an FCoE or iSCSI boot device, the networking side must stay "up" all
> the time.  Otherwise, the FCoE/iSCSI interface driven by bnx2i/bnx2fc
> will be reset and we'll lose the root file system.
>
> If LRO is enabled, scripts that enable IP forwarding or bridging will
> disable LRO and cause the device to be reset.  Disabling LRO on these
> boot devices will prevent the reset.

Is this perhaps saying that a bnx2x-driven device being used for FCoE or 
iSCSI boot must not permit *any* run-time configuration change which 
leads to a NIC reset?

rick jones